// Deep brace level containing deep singleton nesting.
int main(int c, char **v) {
if (q) {
if (q) {
if (q) {
if (q) {
if (q) {
if (q1)   {     
if (q2){      
if (q3) {       
if (q) {
if (q) {
for (qS) a();
if (qS)
if (qS)
if (qS)
if (qS)
if (qS)
if (qS)
if (qS)
if (qS)
if (qS)
if (qS)
if (qS)
if (qS)
if (qS)
if (qS)
a++;
  } } } } } } } } } }
}
// Final line comment immediately after action.
